"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../../../src");
const sinon_1 = __importDefault(require("sinon"));
const fs_1 = __importDefault(require("fs"));
const console_1 = require("console");
const XRPMccConnection = {
    url: process.env.XRP_URL || "https://xrplcluster.com",
    username: process.env.XRP_USERNAME || "",
    password: process.env.XRP_PASSWORD || "",
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
};
describe.skip("search", function () {
    let beginning = 78637600;
    const output = fs_1.default.createWriteStream(`./test/XRP/transactionTypes/log/example${beginning}.log`);
    const logger = new console_1.Console(output);
    const MccClient = new src_1.MCC.XRP(XRPMccConnection);
    const searchedTypes = ["CheckCash", "EscrowCancel", "EscrowCreate", "EscrowFinish"];
    console.time("start");
    logger.log("beginning", beginning);
    before(async function () {
        sinon_1.default.stub(console, "error");
        for (let j = beginning; j > 0; j--) {
            if (j % 100 == 0) {
                console.log(j);
                console.timeLog(`start`);
                if (j % 1000 == 0) {
                    logger.log(j);
                }
            }
            const block = await MccClient.getFullBlock(j);
            if (!block) {
                continue;
            }
            for (let tx of block.data.result.ledger.transactions) {
                if (typeof tx == "string") {
                    continue;
                }
                if (searchedTypes.includes(tx.TransactionType)) {
                    logger.log(`Transaction of type ${tx.TransactionType} found in block ${j}`);
                }
            }
        }
    });
    after(function () {
        sinon_1.default.restore();
    });
    it("something", function () { });
});
//# sourceMappingURL=findExamples.test.js.map